Package be.fgov.ehealth.standards.kmehr.mycarenet.schema.v1

# Class Source

java.lang.Object
be.fgov.ehealth.standards.kmehr.mycarenet.schema.v1.Source

All Implemented Interfaces:
  `Serializable`

@Generated(value="com.sun.tools.xjc.Driver", date="2025-09-16T05:11:58+02:00", comments="JAXB RI v4.0.5") public class Source extends Object implements Serializable

Java class for anonymous complex type

.

The following schema fragment specifies the expected content contained within this class.

     <complexType>
       <complexContent>
         <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
           <sequence>
             <element name="cd" type="{http://www.ehealth.fgov.be/standards/kmehr/cd/v1}CD-EXTERNALSOURCE" maxOccurs="unbounded"/>
             <element name="datetime" type="{http://www.w3.org/2001/XMLSchema}dateTime" minOccurs="0"/>
             <element name="version" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
             <element name="proof" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
           </sequence>
         </restriction>
       </complexContent>
     </complexType>

See Also:
  - Serialized Form

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `Source()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `List<CDEXTERNALSOURCE>`
  `getCds()`
  Gets the value of the cds property.
  `Instant`
  `getDatetime()`
  Gets the value of the datetime property.
  `String`
  `getProof()`
  Gets the value of the proof property.
  `String`
  `getVersion()`
  Gets the value of the version property.
  `void`
  `setDatetime(Instant value)`
  Sets the value of the datetime property.
  `void`
  `setProof(String value)`
  Sets the value of the proof property.
  `void`
  `setVersion(String value)`
  Sets the value of the version property.

  ### Methods inherited from class java.lang.Object

  `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### Source

    public Source()

- ## Method Details

  - ### getCds

    public List<CDEXTERNALSOURCE> getCds()
    Gets the value of the cds property.

    This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the cds property.

    For example, to add a new item, do as follows:

         getCds().add(newItem);

    Objects of the following type(s) are allowed in the list `CDEXTERNALSOURCE`

    Returns:
      The value of the cds property.

  - ### getDatetime

    public Instant getDatetime()
    Gets the value of the datetime property.
    Returns:
      possible object is `String`

  - ### setDatetime

    public void setDatetime(Instant value)
    Sets the value of the datetime property.
    Parameters:
      `value` - allowed object is `String`

  - ### getVersion

    public String getVersion()
    Gets the value of the version property.
    Returns:
      possible object is `String`

  - ### setVersion

    public void setVersion(String value)
    Sets the value of the version property.
    Parameters:
      `value` - allowed object is `String`

  - ### getProof

    public String getProof()
    Gets the value of the proof property.
    Returns:
      possible object is `String`

  - ### setProof

    public void setProof(String value)
    Sets the value of the proof property.
    Parameters:
      `value` - allowed object is `String`